//- -----------------------------------------------------------------
//- (C) Copyright 2000 Blake V. Miller
//- All Rights Reserved.
//- -----------------------------------------------------------------
//- File	:	CGFILTYP.H
//-	Author	:	Blake Miller
//-	Version	:	June 16, 2000
//-	Purpose	:	File Type Access
//- -----------------------------------------------------------------

#if	_MSC_VER > 1000
#pragma once
#endif

#ifndef __CGFILTYP_H__
#define __CGFILTYP_H__
#ifdef  __cplusplus

class CGCFileTypeAccess : public CObject
{
	DECLARE_DYNAMIC(CGCFileTypeAccess)

public:

	CGCFileTypeAccess();
	virtual ~CGCFileTypeAccess();

	virtual void ClearAllData(void);

	//- ----------------------------------------
	//- Effect Registry

	virtual BOOL	RegSetAllExtensionInfo		(void);

	virtual BOOL	RegSetExtension		(void);
	virtual BOOL	RegSetDirectory		(void);
	virtual BOOL	RegSetDocumentType	(void);

	//- ----------------------------------------
	//- Modify Member Variables

	void	SetExtension		(LPCTSTR);
	void	GetExtension		(CString&) const;

	void	SetContentType		(LPCTSTR);
	void	GetContentType		(CString&) const;

	void	SetShellOpenCommand	(LPCTSTR);
	void	GetShellOpenCommand	(CString&) const;

	void	SetShellOpenDescription	(LPCTSTR);
	void	GetShellOpenDescription	(CString&) const;

	void	SetShellAddCommand	(LPCTSTR);
	void	GetShellAddCommand	(CString&) const;

	void	SetShellAddDescription	(LPCTSTR);
	void	GetShellAddDescription	(CString&) const;

	void	SetDocumentClassName		(LPCTSTR);
	void	GetDocumentClassName		(CString&) const;

	void	SetDocumentDescription		(LPCTSTR);
	void	GetDocumentDescription		(CString&) const;

	void	SetDocumentDefault			(LPCTSTR);
	void	GetDocumentDefault			(CString&) const;

	void	SetDocumentCurrentVersion	(LPCTSTR);
	void	GetDocumentCurrentVersion	(CString&) const;

	void	SetDocumentDefaultIcon		(LPCTSTR);
	void	GetDocumentDefaultIcon		(CString&) const;

	void	SetDocumentShellOpenCommand	(LPCTSTR);
	void	GetDocumentShellOpenCommand	(CString&) const;

	void	SetDocumentShellOpenDescription	(LPCTSTR);
	void	GetDocumentShellOpenDescription	(CString&) const;

	void	SetDocumentShellAddCommand	(LPCTSTR);
	void	GetDocumentShellAddCommand	(CString&) const;

	void	SetDocumentShellAddDescription	(LPCTSTR);
	void	GetDocumentShellAddDescription	(CString&) const;

	BOOL SetRegistryValue(HKEY, LPCTSTR, LPCTSTR, LPCTSTR);
protected:

	CString		m_csExtension;
	CString		m_csContentType;
	CString		m_csShellOpenDescription;
	CString		m_csShellAddDescription;
	CString		m_csShellOpenCommand;
	CString		m_csShellAddCommand;

	CString		m_csDocumentClassName;
	CString		m_csDocumentDescription;
	CString		m_csDocumentDefault;
	CString		m_csDocumentCurrentVersion;
	CString		m_csDocumentDefaultIcon;
	CString		m_csDocumentShellOpenDescription;
	CString		m_csDocumentShellAddDescription;
	CString		m_csDocumentShellOpenCommand;
	CString		m_csDocumentShellAddCommand;

};

#endif // __cplusplus
#endif // __CGFILTYP_H__

//-	-----------------------------------------------------------------
//- END CGFILTYP.H Header File
//-	-----------------------------------------------------------------
